Python ile kaynak kod çekme!

Merhabalar herkese:

import urllib.request
url= “https://uyg.sgk.gov.tr/IsverenSistemi
htm= urllib.request.urlopen(url)
print(htm)

bu kod ile belirttiğim linkin kaynak kodunu almaya çalışıyorum ama sürekli hata veriyor.
python3 kullanıyorum. bu konularda yeniyim yardımcı olur musunuz?

Merhaba, hoş geldiniz.

Aldığınız hata nedir?

/usr/local/bin/python3.9 /Users/turan/PycharmProjects/selenium_python/seleniumproject/kaynak_kod_cekme.py
Traceback (most recent call last):
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 1342, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 1010, in _send_output
self.send(msg)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 950, in send
self.connect()
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/http/client.py”, line 1424, in connect
self.sock = self._context.wrap_socket(self.sock,
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py”, line 500, in wrap_socket
return self.sslsocket_class._create(
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py”, line 1040, in _create
self.do_handshake()
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/ssl.py”, line 1309, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1123)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/turan/PycharmProjects/selenium_python/seleniumproject/kaynak_kod_cekme.py”, line 3, in
htm= urllib.request.urlopen(url)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 214, in urlopen
return opener.open(url, data, timeout)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 517, in open
response = self._open(req, data)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 534, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 494, in _call_chain
result = func(*args)
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 1385, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File “/Library/Frameworks/Python.framework/Versions/3.9/lib/python3.9/urllib/request.py”, line 1345, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: self signed certificate in certificate chain (_ssl.c:1123)>

Process finished with exit code 1

Bir de girdiğim sitede sayfa değişse bile link aynı kalıyor. kaynak kodlarını ctrl u ile bakmak istediğimde
ise sadece giriş ekranına ait kodlar geliyor.

SSL sertifikası olmadığı için bilgisayarınız bağlanmıyor. Çünkü güvenli değil.

Peki bunu nasıl aşarım? bir el atar mısınız?

Aslında belgede sıkıntı yok gibi.

Burada yazdığı gibi SSL’de hata var. Ancak siteye rahatlıkla giriş yapabiliyorum. Neden olduğunu düşünmekteyim şu an :thinking:

Site bende güvenli olarak görünüyor. şöyle birşey var, javascript ile yüklenen web sayfa olduğu ve bundan dolayı sayfa kaynak kodlarını her seferinde ana sayfa olarak gösteriyor. bununla ilgili olabilir mi?

1 Beğeni

Birazdan kodları deneyebileceğim, sonucu buraya yazarım.

Bende hata yok. Çıktı şu şekilde @emir122333 : image

peki kaynak kodları geliyor mu? acaba ben de modülllerde mi bir problem var?

python 3.9 mu kullanıyon

Evet abi. python 3.9 yüklü bende

3.9 bazı modüllerde hata yaratıyor

nasıl bir yol izleyeyim abi, kaynak kodlara ulaşma yolu yok mu başka?
incelediğim site https://uyg.sgk.gov.tr/IsverenSistemi.

sanırım kaynak kodlarını gizlemişler: şöyle birşey çıkıyor http://e.sgk.gov.tr/wps/portal/isveren/Ilgili%20Diger%20Uygulamalar/isveren_islemleri_yapilandirma/!ut/p/a1/jY7LDoIwEEV_hR8wU1kgW4IiihgXPmo3ZBJrnWRaSEES_HrRvY-7u8m5ORcUSFAOezLYUe2QX11F1TYWyXSZiiLezTKRFNnyuF_kQkThCJxHQHxIIn7t138IQl-mpQHVYHebkLvWIFdsiCmYk9E-OAzmzmiR0YOkttdeu4pa1pa1p2rAhhjdhbxFOIF6G788bqx8bHJhnrOdr_o!/dl5/d5/L2dJQSEvUUt3QS80SmlFL1o2X044MEExR0MwSzhQN0YwQUtGR1ZURUgwMDYy/

Merhabalar, kaynak kodalri urllib ile cekmeyin bence. Ve TROL_OYUNCU adindaki arkadasa soyliyeyim, python 39 bir sikiti cikarmiyor. Ipy39 kullaniyorum en azindan. Kaynak kodlarini saklamis olabilirler. Sonucta kopyalama yapip siber suc islemek isteyenler olabilir.

Ctrl + Shift + C yapın HTML kodlarını görebilirsiniz.

Evet ancak cekmek istiyor. Kaynak kodu cekmeye kapamak baska client side dan son durumu goruntulemek bir baska oluyor.